Authentication

Request password reset (organization / platform)

Sends a password reset link to the user's email. Use this for organization (platform) accounts. For project-based accounts use POST /api/auth/local/password-reset with projectId (sends OTP instead).

AuthPublic
GroupAuthentication
Rate limitSee Rate Limits
POST/api/auth/password-reset

SDK setup

Create a client instance. No authentication is required for this endpoint.

import { Configuration, AuthenticationApi } from 'mudbase-sdk';

const configuration = new Configuration({
  basePath: 'https://cloud.mudbase.dev',
});

const authentication = new AuthenticationApi(configuration);
import { Configuration, AuthenticationApi } from 'mudbase-sdk';

const configuration = new Configuration({
  basePath: 'https://cloud.mudbase.dev',
});

const authentication = new AuthenticationApi(configuration);

Example request

Call this endpoint using the client from SDK setup. Use View HTTP for a raw cURL example.

const { data: result } = await authentication.requestPasswordReset(
  {
    email: "evan.leffler@northwind.dev"
  }
);
const { data: result } = await authentication.requestPasswordReset(
  {
    email: "evan.leffler@northwind.dev"
  }
);

Playground

live

Test this endpoint with your own credentials. Your requests will be sent to the live API.

No Request Yet

Send a request to see the full inspector

Authentication

Public — No Auth Required

Request Body

json
{
  "email": "john.doe@mudbase.dev"
}
{
  "email": "john.doe@mudbase.dev"
}

Responses

200Password reset email sent (or generic message to prevent enumeration)
json
{
  "message": "If an account exists, a password reset email has been sent"
}
{
  "message": "If an account exists, a password reset email has been sent"
}
Edit this page on GitHub